> Project moved to https://git.athaliasoft.com/richard/cyca !

# Cyca

![](https://www.getcyca.com/images/covers/cyca-1.0-cover.png)

## About

Cyca is a web-based, desktop-centric, multi-user bookmarks and feeds manager.

### Key features

- Organisation of bookmarks and feed in a folders hierarchy
    - Drag'n'drop for folders and bookmarks
    - You can create no folder at all, or a huge hierarchy
    - You can add as many bookmarks to a folder as you want
- Unobtrusive
    - No notification, popup or anything eye-catching, except number of unread
      items right to each folder and document
    - Simple forms to add folders and bookmarks, simple buttons to subscribe
      to feeds
    - No personal data collected, no telemetry, no query to any external server
      except to update documents and feeds
- Auto-update documents and feeds
    - Auto-purging unused documents and feeds
    - Respects standards and good-practices to avoid unwanted network traffic
- Documents and feeds are mutual to all users
    - Bookmarks (which points to documents), subscriptions (which points to 
      feeds) and unread feed item are private and not known to other users
    - Already existing documents and feeds are quicker to display when adding
      a bookmark
    - Groups management: create and join groups to share bookmarks and feeds
- Desktop-centric
    - Features a three-columns layout which provides direct access to any
      information you need quickly
    - Features a details panels that changes with context, which provides forms
      and informations at just about the right time

### Author's notes

Bookmarks and feeds naturally get along, so it was obvious to me to manage them
from the same application.

The intent behind Cyca is to put light on feeds you can miss: as Cyca can
discover feeds in your bookmarks, when you bookmark a URL, you automatically
gain visibility to declared feeds. You don't even need to know about RSS or Atom
at all, which could introduce new people to these technologies.

## Installation

Please read native installation documentation from 
[Cyca's official website](https://www.getcyca.com/docs/native-installation/).

## License

Cyca is licensed under the GNU GPL in its more recent version. You will find a
copy of this license in the LICENSE file at the root of Cyca's archive.

## Contact and links

Cyca's creator is Richard Dern.

- Website: https://getcyca.com/
- Microblog: https://microblog.getcyca.com/richard
- GitHub: https://github.com/RichardDern
